**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/18.1/configuration-migration/retrieve-package-deploy-results.md

# Retrieve Package Deploy Results



After Vault has finished processing the deploy job, use this request to retrieve the results of the completed deploy.

<Endpoint path="/api/{version}/vobject/vault_package__v/{package_id}/actions/deploy/results" method="GET"></Endpoint>

##### Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `package_id` | The `id` field value of the `vault_package__v` object record used for deploy. See Deploy Package above. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v16.0/vobject/vault_package__v/0PI000000000101/actions/deploy/results

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
 "responseStatus": "SUCCESS",
 "responseDetails": {
   "warnings": 0,
   "total_components": 8,
   "deployed_components": 8,
   "skipped_components": 0,
   "error_components": 0,
   "deployment_status__v": "deployed__v",
   "deployment_log": [
     {
       "filename": "PKG-0005-7101.log",
       "url": "https://my4.vaultdev.com:8443/api/v17.2/vobjects/vault_package__v/0PI000000000101/attachments/2/versions/1/file",
       "created_date__v": "2017-05-19 18:21:34.057"
     }
   ]
 },
 "package_components": [
   {
     "external_id__v": null,
     "component_type__v": "Doctype",
     "checksum__v": "bc7cf7551023d926e9920bc6afa0e598",
    "stepId": "0IS000000000101",
     "name__v": "Doctype.design_and_configuration__c",
     "step": "00010",
     "id": "0VP000000000101",
     "component_name__v": "design_and_configuration__c",
     "deployment_status__v": "deployed__v"
   }
 ]
}

```
</CodeExample>

## Response Details {#response-details}

Learn more about the possible response values for `deployment_status__v` in [Vault Help](https://platform.veevavault.help/en/lr/36919).



---

**Previous:** [Deploy Package](/clinical/vault-api/api-reference/18.1/configuration-migration/deploy-package)  
**Next:** [Vault Compare](/clinical/vault-api/api-reference/18.1/configuration-migration/vault-compare)